gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Dialog A standard dialog box for selecting a color.

The ColorSelectionDialog provides a standard which allows the user to select a color much like the provides a standard dialog for file selection.

- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  A title that will appear in the window's title bar.
  The main way to construct a new color selector.
- Property
  GLib.Property("cancel-button")
  Gtk.Button A button for cancelling this dialog A standard .
- Property
  GLib.Property("color-selection")
  Gtk.ColorSelection An accessor to the actual ColorSelection widget. The ColorSelection component of this .

  All color-related functions are available using the methods on this property, such as .

- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("help-button")
  Gtk.Button A button for providing help with this dialog A standard .
- Property
  GLib.Property("ok-button")
  Gtk.Button A button to confirm use of the selected color. A standard .